#include "draw.h"
#include "MonochromeLib.h"

// Function to hide invisible lines in progress...

/*
// Function from MonochromeLib
*/

void displayAllLines(int line[2][2]) {
	int i, x, y, dx, dy, sx, sy, cumul;
	x = line[0][0];
	y = line[1][0];
	dx = line[0][1] - line[0][0];
	dy = line[1][1] - line[1][0];
	
	sx = sgn(dx);
	sy = sgn(dy);
	dx = abs(dx);
	dy = abs(dy);
	
	ML_pixel(x, y, 1);
	if(dx > dy)
	{
		cumul = dx / 2;
		for(i=1 ; i<dx ; i++)
		{
			x += sx;
			cumul += dy;
			if(cumul > dx)
			{
				cumul -= dx;
				y += sy;
			}
			ML_pixel(x, y, 1);
		}
	}
	else
	{
		cumul = dy / 2;
		for(i=1 ; i<dy ; i++)
		{
			y += sy;
			cumul += dx;
			if(cumul > dy)
			{
				cumul -= dy;
				x += sx;
			}
			ML_pixel(x, y, 1);
		}
	}
}