#include "presents.h"
#include "time.h"
#include "functions.h"

PresentMovement present_init(PresentMovement presentMovement) {
	presentMovement.direction = 1;
	presentMovement.time = time_getTicks();
	return presentMovement;
}

PresentMovement movePresents(int *map, PresentMovement presentMovement) {
	unsigned int i;
	if(presentMovement.nb < 2 && random(0, 800) == 1) {
		i = random(0, NBPRESENT);
		if(map[NBROBOTS * 16 + i * 8] == HIDE) {
			presentMovement.nb++;
			map[NBROBOTS * 16 + i * 8] = DISPLAY;
		}
	}
	if(presentMovement.time > PRESENTMOVEMENTTIME) {
		presentMovement.time = time_getTicks();
		if(map[NBROBOTS * 16 + 4] >= 70 || map[NBROBOTS * 16 + 4] <= 30)
			presentMovement.direction = - presentMovement.direction;
		for(i = NBROBOTS * 16; i < NBROBOTS * 16 + NBPRESENT * 8; i += 8)
			map[i + 4] += presentMovement.direction;
	}
	return presentMovement;
}

Infos getPresent(Infos playerInfos, weapon_name *weaponList, collisionDatas collision, int *map, PresentMovement* presentMovement) {
	unsigned char yourPresent, i;
	if(map[collision.object + 1] == present) {
		playerInfos.currentMessage.time = time_getTicks();
		if(random(0, 3) < 2) {
			yourPresent = random(0, 3);
			playerInfos.munitions += 20 * yourPresent + 10;
			switch(yourPresent) {
				case 0:
				playerInfos.currentMessage.message = _10BULLETS;
				break;
				case 1:
				playerInfos.currentMessage.message = _30BULLETS;
				break;
				case 2:
				playerInfos.currentMessage.message = _50BULLETS;
				break;
			}
		}
		else {
			for(i = 1; i < NBWEAPON; i++) {
				if(weaponList[i] == NO_WEAPON) 
					break;
				if(i == NBWEAPON - 1)
					i++;
			}
			switch(i) {
				case 1:
				playerInfos.currentMessage.message = _GUN;
				weaponList[i] = GUN;
				break;
				
				case 2:
				playerInfos.currentMessage.message = _SNIPER;
				weaponList[i] = SNIPER;
				break;
				
				default:
				playerInfos.currentMessage.message = _10BULLETS;
				playerInfos.munitions += 10;
				break;	
			}
		}
		map[collision.object] = HIDE;
		presentMovement->nb--;
	}
	return playerInfos;
}