#ifndef _TILESET
#define _TILESET

typedef enum {
	S_KNIFE1, S_KNIFE2,
	S_GUN1, S_GUN2, 
	S_SNIPER1, S_SNIPER2, S_SNIPER_TIR,
	BANNIER, MANCHE,
	CONTRAST_BAR, CONTRAST_INIT,
	GAMEOVER, MENU
} Tileset_name;

typedef struct {
	int width, height, length;
	char** tile;
} Tileset;

Tileset* tileset_load (Tileset_name name);
void tileset_free(Tileset* tileset);
static Tileset* tileset_create (const char* bmp, int width, int height, int length);

#endif

