/***************************************************/
/*                                                 */
/*	 Planet-Casio's 8th Birthay Contest			   */
/*                                                 */
/*   I, robot - Version 1.0 - September 2012       */
/*                                                 */
/*   Author: Bruno Godefroy alias Nitrosax         */
/*                                                 */
/*   Thanks to PierrotLL for his functions         */
/*                                                 */
/*   nitrosax@laposte.net                          */
/*                                                 */
/***************************************************/

#include "contrast.h"
#include "overclock.h"
#include "syscall.h"
#include "menus.h"
#include "game.h"
#include "functions.h"
#include "time.h"

int AddIn_main(int isAppli, unsigned short OptionNum)
{	
	Choice choice;
	unsigned char contrastValue;
	
	overclock_start(); // overclock x4
	contrastValue = contrast(); // set contrast at the first execution
	moove_contrast(contrastValue, DECREASE);
	random(time_getTicks(), 1); // random function initialization
	
	do 
	{
		choice = menu(contrastValue);
		if(choice == PLAY)
			game(contrastValue);
	}
	while(choice == PLAY);

	Reset_Calc(); // I should reset the calculator due to the overclock
}

#pragma section _BR_Size
unsigned long BR_Size;
#pragma section

#pragma section _TOP

int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

