#ifndef _PLAYER
#define _PLAYER

#include "tileset.h"

typedef enum {
	HEADSHOT, _10BULLETS, _30BULLETS, _50BULLETS, _GUN, _SNIPER, NOMESSAGE
} Message;

typedef struct {
	Message message;
	unsigned int time;
} MessageInfos;

typedef struct {
	MessageInfos currentMessage;
	unsigned char manche, life;
	unsigned int munitions, timeToIncreaseLife, nbShoots, nbKilled, distance, gameTime;
} Infos;

Infos infos_init(Infos playerInfos);
void displayInfos(Tileset* bannier, Tileset* mancheGunInfos, Infos* playerInfos);

#endif