#ifndef _JUMP
#define _JUMP

#include "engine3D.h"
#include "game.h"
#include "player.h"
#include "weapons.h"

#define NBROBOTTYPES 1
#define INCREASELIFETIME 640

typedef enum {
	ALIVE, DEAD, NOROBOT
} robotState;

typedef struct {
	robotState list[NBROBOTS];
	int nbspawned[NBROBOTTYPES];
} robotsInfos;

void spawnRobots(int* map, Infos* player, robotsInfos* robots);
Infos shot(Infos playerInfos, int* map, robotsInfos* robots, weapon_datas* currentWeapon, aim currentAim);
Infos loseLife(Infos playerInfos, robotsInfos robots, coordonneesCamera player, unsigned char contrastValue);

#endif