#include "time.h"
#include "functions.h"

static int SysCallCode[] = {0xD201422B,0x60F20000,0x80010070};
static int (*SysCall)( int R4, int R5, int R6, int R7, int FNo ) = (void*)&SysCallCode;

int time_getTicks() // Function from PierrotLL
{
	return (*SysCall)(0, 0, 0, 0, 0x3B);
}

void displayFps(fpsCount* fps) { // Function from Dark Storm
	if(time_getTicks() - fps->timeFps >= 128)
	{
		fps->nb = fps->fps_count;
		fps->fps_count = 1;
		fps->timeFps = time_getTicks();
	} else fps->fps_count++;
	printVmini(1, 1, fps->nb);
}